Subject: Re: bug#26157: [PATCH 2/2] gnu: kodi: Update to 18.0_alpha-0-4912f8f.

From: Leo Famulari <[email-masked]>
Date: Mon, 20 Mar 2017 14:08:28 -0400

On Mon, Mar 20, 2017 at 05:39:05PM +0100, Marius Bakke wrote:
> Leo Famulari <[email-masked]> writes:
> >> +         (add-after 'bootstrap-bundled-software 'patch-stuff
> >>             (lambda _
> >> +             ;; Prevent the build scripts from calling autoreconf in
> >> +             ;; the build stage.  Otherwise, it would undo the careful
> >> +             ;; bootstrapping that we've worked so hard for.
> >> +             (substitute* "cmake/modules/FindLibDvd.cmake"
> >> +               ;; Let's also use this opportunity to make the freshly
> >> +               ;; unpackaged source directory writable.
> >> +               (("autoreconf -vif") "chmod -R u+w ."))
> >
> > Clever, but perhaps too clever :) I think we should use the Scheme
> > (chmod) procedure to do this separately, if there is a point where the
> > files are unpacked between build phases.
> 
> Unfortunately, this is the only good opportunity to do this. They are
> "downloaded", unpacked and bootstrapped from that cmake file, which is
> invoked in the 'build' phase, and my attempts to wrangle this in a
> separate phase were unsuccessful (hence the top-level bootstrapped
> variables). I will make it clearer why we have to do this.

I thought it might be something like this, but I figured I'd suggest
"the right way" anyways :)